Subject: bug#15926: RFE: unlink command already uses 'unlink' call; make 'rm' use 'remove' call

From: Linda Walsh <[email-masked]>
Date: Wed, 20 Nov 2013 16:48:19 -0800

On 20/11/2013 16:03, Bernhard Voelker wrote:
>   $ src/rm -r src/.
>   src/rm: refusing to remove '.' or '..' directory: skipping 'src/.'

That gets back to what Bob mentioned about it being a
nanny-restriction.

The inevitable comment to be asked by someone is

    "Refuse?
    Isn't it my computer?  How do I override such a refusal?
    I seem to remember reading that the "-f" flag was specifically
    added to override such such a refusal w/no further comment."

Answer: well, yeah it was, but they caught MS-itus, and wanted
to put in "are you really sure? (y/[n])", but weren't allowed
to ask more questions, so it just wins because its not your system
anymore.

**- Is it true that you can override this with -supercalifragilisticexpialidocious
flag?  1/2:-)

I still think an ENV flag that lists the command
and behavior to override would be a specific enough, yet
generally enough solution to safely make a case for
allowing it.
I.e. _EXPERT_="rm(.) command(feature1 feature2) find(.error)"